import { defHttp } from '@/utils/http/axios';

enum Api {
  getYwRealData='/fire/fireDisasterApi/getYwRealData',
  getHyRealData='/fire/fireDisasterApi/getHyRealData',
  getPfmhRealData='/fire/fireDisasterApi/getPfmhRealData',
  getGxcwHistoryDataByPointCode = '/fire/fireDisasterApi/getGxcwHistoryDataByPointCode',
  getInfosByAreaCode = '/fire/fireDisasterApi/getInfosByAreaCode',
}
/**
 * 烟雾传感器数据
 * @param params
 */
export const getYwRealData = (params) => defHttp.get({ url: Api.getYwRealData, params });

/**
 * 火焰传感器数据
 * @param params
 */
export const getHyRealData = (params) => defHttp.get({ url: Api.getHyRealData, params });

/**
 * 喷粉灭火装置数据
 * @param params
 */
export const getPfmhRealData = (params) => defHttp.get({ url: Api.getPfmhRealData, params });

/**
 *
 * 获取光纤测温图表数据
 * @param params
 */
export const getGxcwHistoryDataByPointCode = (params) =>
  defHttp.get({ url: Api.getGxcwHistoryDataByPointCode, params });

/**
 *
 * 获取工作面光纤条数及测点编号
 * @param params
 */
export const getInfosByAreaCode = (params) => defHttp.get({ url: Api.getInfosByAreaCode, params });
